Subject: [Ietf-not43] [Fwd: CRISP: Language/script-specific data sets?

From: [email-masked] (Hollenbeck, Scott)
Date: Sat, 28 Dec 2002 09:33:33 -0500

> 	I just looked through draft-ietf-provreg-epp-contact-05.txt,
> and it looks like you have two different mechanisms which are related
> to this problem.  One is the "lang" based negotation for the response
> codes which is described in described in section 5 of
> draft-ietf-provreg-epp-07.txt.  If I read that mechanism right, you
> can at session start negotiate the "lang" attribute for the human
> readable text associated with a response code.  This doesn't affect
> the charset which SHOULD be UTF-8 unless a charset has been named.
> (By the way, would this also affect things like the human readable
> text in a statusValue?).

Correct on all counts, and yes, the "reasons" that can be supplied with
status values can also be tagged with a language identifier.

> 	The other mechanism would be charset related, and is described
> in 2.3 (and again 2.4) of the contact draft:
> 
>   Individual and organizational names associated with a contact are
>   represented using character strings.  These strings have a specified
>   minimum length and a specified maximum length.  Individual and
>   organizational names MAY be provided in both UTF-8 [RFC2279] and a
>   subset of UTF-8 that can be represented in 7-bit ASCII depending on
>   local needs.
> 
> 	I read this to mean that they may be in *either*.  Does it in
> fact mean that they will always be in in UTF-8 and may also be in the
> subset of UTF-8 that can be represented in 7-bit ASCII?  If so, I
> didn't see how which to present was negotiated in epp when both are
> present.  Do you always send both when both are present?

Again correct, either form can be provided without the other.  Both forms
can also be provided.  We use an XML attribute to note which is which.  An
EPP <info> response always returns whatever is present in response to an
<info> query, so we do indeed return both if both are present.  Some other
layer has to make appropriate human display behavior decisions.

-Scott-